Subject: warnings

From: [email-masked] (Don Cohen)
Date: Mon, 18 Jul 94 11:50:05 -0700

I notice this is a problem for C - the build of clisp produces 
thousands of compiler warnings.
I don't think that whether a function (generic or otherwise) has been 
called before has much to do with whether you want a warning.

Warnings are already defined as a subclass of errors (a subclass of
conditions) - you can establish handlers for that class or any subclass.
I hope there are some useful classes defined, like redefinition warnings.
There's some detail on this in CLtL2 p. 912-913.